Pular para o conteúdo principal
Get a Wallet
curl --request GET \
  --url https://api.spherepay.co/v2/wallet/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.spherepay.co/v2/wallet/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.spherepay.co/v2/wallet/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "wallet_ce745ef7f3df4b9a8bff1301ce24b045",
  "address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "network": "sol",
  "customerId": "customer_66c4168d418a410eae282b83883bdc39",
  "created": "2025-01-01T00:00:00.000Z",
  "updated": "2025-01-01T00:00:00.000Z"
}
{
"status": 400,
"detail": "Invalid request parameters",
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 404,
"detail": "Resource not found",
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c"
}
{
"status": 422,
"detail": "Validation failed",
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
]
}
Use este endpoint para recuperar uma única carteira registrada pelo seu ID. A resposta inclui o endereço de carteira, sua rede blockchain e o ID do cliente proprietário.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

The wallet ID

Minimum string length: 1
Exemplo:

"wallet_ce745ef7f3df4b9a8bff1301ce24b045"

Resposta

id
string
obrigatório

The unique identifier of the wallet.

Exemplo:

"wallet_ce745ef7f3df4b9a8bff1301ce24b045"

address
string
obrigatório

The wallet address on the specified network.

Exemplo:

"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"

network
enum<string>
obrigatório

The blockchain network for this wallet.

Opções disponíveis:
sol,
fogo,
ethereum,
optimism,
arbitrum,
polygon,
base,
avalanche,
sui,
noble,
sei,
tron,
starknet,
aptos,
hyperliquid
Exemplo:

"sol"

customerId
string
obrigatório

The unique identifier of the customer who owns this wallet.

Exemplo:

"customer_66c4168d418a410eae282b83883bdc39"

created
string
obrigatório

The ISO 8601 timestamp when the wallet was created.

Exemplo:

"2025-01-01T00:00:00.000Z"

updated
string
obrigatório

The ISO 8601 timestamp when the wallet was last updated.

Exemplo:

"2025-01-01T00:00:00.000Z"

Última modificação em 22 de junho de 2026